<?php

namespace Drupal\instagram_sync\Utility;

/**
 * Defines a Fabric class with some methods.
 */
class InstagramApiRemoteResource implements InstagramAPIRemoteResourceInterface {

  /**
   * Instagram Media resources URL.
   */
  protected string $url;

  public function __construct(string $url) {
    $this->url = $url;
  }

  /**
   * {@inheritdoc}
   */
  public function getUrl(): string {
    return $this->url;
  }

  /**
   * {@inheritdoc}
   */
  public function getExtension(): string {
    $parsedUrl = parse_url($this->getUrl());
    $path = $parsedUrl['path'];
    $pathInfo = pathinfo($path);
    return $pathInfo['extension'];
  }

}
